%global srcname pycparser
%global sum C parser and AST generator written in Python
%global desc \
pycparser is a complete parser for the C language, written in pure Python. \
It is a module designed to be easily integrated into applications that \
need to parse C source code.


Name:           python3-%{srcname}
Summary:        %{sum}
Version:        2.14
Release:        2%{?dist}
License:        BSD
URL:            http://github.com/eliben/pycparser
Source0:        http://github.com/eliben/pycparser/archive/release_v%{version}.tar.gz
Source1:        pycparser-0.91.1-remove-relative-sys-path.py

Patch100:       pycparser-2.10-ply.patch
# This is Fedora-specific; I don't think we should request upstream to
# remove embedded libraries from their distribuution, when we can remove
# them during packaging.

BuildArch:      noarch

%description %{desc}


%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# for unit tests
BuildRequires:  python%{python3_pkgversion}-ply       

Requires:       python%{python3_pkgversion}-ply
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname} %{desc}
%endif


%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:        %{sum}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
# for unit tests
BuildRequires:  python%{python3_other_pkgversion}-ply       

Requires:       python%{python3_other_pkgversion}-ply
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}

%description -n python%{python3_other_pkgversion}-%{srcname} %{desc}
%endif


%prep
%setup -q -n %{srcname}-release_v%{version}
%patch100 -p1 -F5 -b .ply

# remove embedded copy of ply
rm -rf pycparser/ply

# examples
%{__python3} %{SOURCE1} examples
sed -i -e 's/\r//g' LICENSE

%build
%py3_build
pushd build/lib/pycparser
%{__python3} _build_tables.py
popd
%py3_other_build

%install
%py3_install
%py3_other_install

%check
%{__python3} tests/all_tests.py 
%{__python3_other} tests/all_tests.py 
 

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{srcname}
%license LICENSE
%{python3_other_sitelib}/%{srcname}/
%{python3_other_sitelib}/%{srcname}-*.egg-info
%endif


%changelog
* Thu Oct 19 2017 Aurelien Bompard <abompard@fedoraproject.org> - 2.14-2
- Build for python3_other

* Fri Jan 6 2017 Orion Poplawski <orion@cora.nwra.com> - 2.14-1
- Initial EPEL version
